###############################################
###             tests_simulator             ###
###############################################

cmake_minimum_required(VERSION 3.1.0)

project(tests_simulator)

add_executable(${PROJECT_NAME}
    main.cpp
    cache/tests_cache.cpp
    cache/TargetMemory.cpp
    cache/ListInitiator.cpp
)

set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER tests/simulator)

target_link_libraries(${PROJECT_NAME} PRIVATE
    DRAMSys_Simulator
    gtest_main
)

gtest_discover_tests(${PROJECT_NAME}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

build_source_group()
